Subject: Re: bug#65727: 30.0.50; Build failure in MSYS2 when --with-native-compilation

From: Eli Zaretskii <[email-masked]>
Date: Mon, 04 Sep 2023 15:29:24 +0300

> From: voi dfoo <[email-masked]>
> Date: Sun, 3 Sep 2023 22:06:41 -0700
> 
> Occasionally I use appveyor/GitHub Actions to build Emacs for Windows
> using MSYS environment. At some point the build started to fail when
> making .elc files.
> 
> I suspect that newer version of dependencies (libgccjit?) caused the
> crash because a previous passing commit now also failed.
> 
> I don't have a local environment to investigate further. I don't know
> whether the following information is actionable but here they are

Did you per chance upgrade GCC and/or libgccjit and/or Binutils
between the last successful build and the first failed one?